> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Competitor Item Prices



## OpenAPI

````yaml https://clientapi.retailgrid.io/openapi.json get /v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/grids/{grid_id}/items/{grid_item_id}/competitor-offers:
    get:
      tags:
        - grids
      summary: Competitor Item Prices
      operationId: >-
        competitor_item_prices_v1_grids__grid_id__items__grid_item_id__competitor_offers_get
      parameters:
        - name: grid_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Grid Id
        - name: grid_item_id
          in: path
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            title: Grid Item Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GridCompetitorOffersPage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GridCompetitorOffersPage:
      properties:
        offers:
          items:
            $ref: '#/components/schemas/CompetitorDetail'
          type: array
          maxItems: 500
          title: Offers
        total_offers:
          type: integer
          minimum: 0
          title: Total Offers
        total_priced_offers:
          type: integer
          minimum: 0
          title: Total Priced Offers
        total_competitors:
          type: integer
          minimum: 0
          title: Total Competitors
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        has_more:
          type: boolean
          title: Has More
        capture_id:
          type: string
          title: Capture Id
        window_since:
          type: string
          format: date-time
          title: Window Since
        window_until:
          type: string
          format: date-time
          title: Window Until
      type: object
      required:
        - total_offers
        - total_priced_offers
        - total_competitors
        - next_cursor
        - has_more
        - capture_id
        - window_since
        - window_until
      title: GridCompetitorOffersPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompetitorDetail:
      properties:
        competitor_id:
          type: string
          title: Competitor Id
        competitor_product_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Competitor Product Id
        match_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Id
        match_version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Match Version
        observation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Observation Id
        delivery_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Delivery Id
        competitor_product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Competitor Product Name
        competitor_sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Competitor Sku
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        relation:
          anyOf:
            - type: string
              enum:
                - direct
                - substitute
            - type: 'null'
          title: Relation
        price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Price
        usable:
          type: boolean
          title: Usable
          default: true
        unpriced_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Unpriced Reason
        regular_price:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Regular Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        stock:
          type: boolean
          title: Stock
        promo:
          type: boolean
          title: Promo
        status:
          type: string
          enum:
            - in_stock
            - out_of_stock
            - preorder
            - backorder
            - discontinued
            - unknown
          title: Status
        observed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Observed At
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
      additionalProperties: false
      type: object
      required:
        - competitor_id
        - name
        - price
        - regular_price
        - currency
        - stock
        - promo
        - status
        - observed_at
        - source_url
      title: CompetitorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.